Refund details
GET
/api/refunds/{id}
Path Parameters
- idstringrequired
Responses
200
- RefundResponseDTODescription
- idstringrequiredDescription
- amountnumberrequiredExampleDescription
- currencystring<AED | ALL | AMD | ANG | AOA | ARS | AUD | AWG | AZN | BAM | BBD | BDT | BGN | BHD | BIF | BMD | BND | BOB | BRL | BSD | BWP | BYN | BZD | CAD | CHF | CLP | CNY | COP | CRC | CUP | CVE | CZK | DJF | DKK | DOP | DZD | EGP | ETB | EUR | FJD | FKP | GBP | GEL | GHS | GIP | GMD | GNF | GTQ | GYD | HKD | HNL | HRK | HTG | HUF | IDR | ILS | INR | IQD | JMD | JOD | JPY | KES | KGS | KHR | KMF | KRW | KWD | KYD | KZT | LAK | LBP | LKR | LRD | LSL | LYD | MAD | MDL | MGA | MKD | MMK | MNT | MOP | MRU | MUR | MVR | MWK | MXN | MYR | MZN | NAD | NGN | NIO | NOK | NPR | NZD | OMR | PAB | PEN | PGK | PHP | PKR | PLN | PYG | QAR | RON | RSD | RUB | RWF | SAR | SBD | SCR | SEK | SGD | SHP | SLE | SLL | SOS | SRD | SSP | STN | SVC | SZL | THB | TND | TOP | TRY | TTD | TWD | TZS | UAH | UGX | USD | UYU | UZS | VES | VND | VUV | WST | XAF | XCD | XOF | XPF | YER | ZAR | ZMW>requiredExampleDescriptionAllowedAEDALLAMDANGAOAARSAUDAWGAZNBAMBBDBDTBGNBHDBIFBMDBNDBOBBRLBSDBWPBYNBZDCADCHFCLPCNYCOPCRCCUPCVECZKDJFDKKDOPDZDEGPETBEURFJDFKPGBPGELGHSGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDJMDJODJPYKESKGSKHRKMFKRWKWDKYDKZTLAKLBPLKRLRDLSLLYDMADMDLMGAMKDMMKMNTMOPMRUMURMVRMWKMXNMYRMZNNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARRONRSDRUBRWFSARSBDSCRSEKSGDSHPSLESLLSOSSRDSSPSTNSVCSZLTHBTNDTOPTRYTTDTWDTZSUAHUGXUSDUYUUZSVESVNDVUVWSTXAFXCDXOFXPFYERZARZMW
- statusstring<pending | succeeded | failed | voided>requiredExampleDescriptionAllowedpendingsucceededfailedvoided
- reasonstring<duplicate | fraudulent | requested_by_customer | other>ExampleDescriptionAllowedduplicatefraudulentrequested_by_customerother
- processorobject
- ProcessorDTO
- namestring<stripe | adyen | braintree | airwallex | connexpay | echo | fiserv>DescriptionAllowedstripeadyenbraintreeairwallexconnexpayechofiserv
- transactionIdstringExampleDescription
- chargeIdstringExampleDescription
- createdAtstring<date-time>ExampleDescriptionFormatdate-time
400
401
404
curl
curl --request GET \
--url /api/refunds/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/refunds/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/refunds/{id}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/refunds/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Refund details
{
"id": "",
"amount": 1357,
"currency": "GBP",
"status": "succeeded",
"reason": "duplicate",
"processor": {},
"createdAt": "2025-07-14T12:34:56.000Z"
}400
// Bad request
401
// Unauthorized
404
// Not found